cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ilia Shakitko <i.shaki...@tech.leaseweb.com>
Subject RE: build 4.4.1 from source
Date Thu, 30 Oct 2014 13:51:32 GMT
Looks like it's a bug and it is there for 4.4 branch (for 4.4.2 as well). You can remove this
test (CertServiceTest.java) in case you need to test something specific.


Kind regards,

Ilia Shakitko
Innovation Engineer
LeaseWeb Technologies B.V.

T: +31 20 316 0235
M:
E: i.shakitko@tech.leaseweb.com
W: http://www.leaseweb.com

Luttenbergweg 8, 1101 EC Amsterdam, Netherlands


-----Original Message-----
From: Pierre-Luc Dion [mailto:pdion@cloudops.com]
Sent: donderdag, 30 oktober, 2014 14:23
To: dev@cloudstack.apache.org
Subject: build 4.4.1 from source

I got this error when building 4.4.1 from git tag and tar file:

Results :

Failed tests:
runUploadSslCertBadkeyAlgo(org.apache.cloudstack.network.lb.CertServiceTest)

runUploadSslCertBadkeyPair(org.apache.cloudstack.network.lb.CertServiceTest)

Tests in error:

runUploadSslCertSelfSignedNoPassword(org.apache.cloudstack.network.lb.CertServiceTest):
Error parsing certificate data Certificate expired or not valid

runUploadSslCertSelfSignedWithPassword(org.apache.cloudstack.network.lb.CertServiceTest):
Error parsing certificate data Certificate expired or not valid


I'm not sure where it come from, but because of that, 'mvn install' does not continue.
Also,  the source tar file have  4.4.1-SNAPSHOT as version.

[INFO]
------------------------------------------------------------------------
[INFO] Building Apache CloudStack Server 4.4.1-SNAPSHOT [INFO]
------------------------------------------------------------------------

Should be 4.4.1 only as when building from the git tag?

Thanks,

Pierre-Luc
Mime
View raw message